import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number, text } from '@storybook/addon-knobs';
import readme from './readme.md';
import { LayoutContainerVariation } from '../../_layout/layout-container/layout-container-variation.enum.ts';

<Meta
  title="Progress/digi-progress-steps"
  parameters={{
    actions: {
      handles: ['afOnPageChange']
    }
  }}
  decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Primary

This is a default progress steps component
 

<Canvas>
  <Story name="Primary">
    /* html */
    {`\
<digi-progress-steps af-current-step="1">
  <digi-progress-step af-heading="Heading 1">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
  <digi-progress-step af-heading="Heading 2">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
  <digi-progress-step af-heading="Heading 3">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
</digi-progress-steps>
    `}
  </Story>
</Canvas>



## Secondary

This is a default progress steps component

<!-- <digi-progress-steps [afSteps]="steps"></digi-progress-steps>-->

<Canvas>
  <Story name="Secondary">
    /* html */
    {`\
<digi-progress-steps af-variation="secondary" af-current-step="2">
  <digi-progress-step af-heading="Heading 1">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
  <digi-progress-step af-heading="Heading 2">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
  <digi-progress-step af-heading="Heading 3">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
</digi-progress-steps>
    `}
  </Story>
</Canvas>
